#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libssl installation
#
# Creation   :  2010-01-23 holbru
# Last update:  $Id: postinstall-libssl.sh 39041 2015-10-03 14:03:19Z hbfl $
#
# Copyright (c) 2010-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libssl

# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig

# ---------------------------------------------------------------------------
# check for ssl link in /etc
# ---------------------------------------------------------------------------
if [ ! -L /etc/ssl ]
then
    cd /etc
    rm -f ssl
    ln -sf ../usr/local/ssl
fi


# compability to solve SSL issue
# 'SSL verify error: depth=1 error=unable to get local issuer certificate'  
if [ ! -L /var/lib/ca-certificates/openssl ]
then
    mkdir -p /var/lib/ca-certificates
    cd  /var/lib/ca-certificates
    ln -sf ../../../etc/ssl/certs openssl
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
