#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libssl preinstallation
#
# Creation   :  2010-01-23 holbru
# Last update:  $Id: preinstall-libssl.sh 35248 2014-03-18 20:51:22Z hbfl $
#
# Copyright (c) 2010-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libssl

# ---------------------------------------------------------------------------
# Delete NOT allowed OLD deinstall scripts
# ---------------------------------------------------------------------------
if [ -f "/var/install/deinstall/${package_name}" ]
then
    rm -f /var/install/deinstall/${package_name}
fi

lib_ins="libssl libcrypto"
for LNAME in ${lib_ins}
do
    # -----------------------------------------------------------------------
    # remove links and libs for the same older versions
    # -----------------------------------------------------------------------
    rm -f /usr/lib/${LNAME}.so.*
    rm -f /lib/${LNAME}.so.*
    # -----------------------------------------------------------------------
    # remove link ${packages_name}.so when the dev packages is not installed
    # -----------------------------------------------------------------------
    if [ ! -f "/var/install/packages/${package_name}-dev" ]
    then
        rm -f /usr/lib/${LNAME}.so
    fi
done

rm -rf /usr/lib/engines

# ---------------------------------------------------------------------------
# remove old filelist.d and package-names
# ---------------------------------------------------------------------------
rm -f /ets/filelist.d/libssl0-9-7-files.txt
rm -f /ets/filelist.d/libssl0-9-8-files.txt
rm -f /var/install/packages/libssl0-9-7
rm -f /var/install/packages/libssl0-9-8

# ---------------------------------------------------------------------------
# remove openssl file from certs deinstall
# ---------------------------------------------------------------------------
if [ -f /var/install/deinstall/certs ]
then
    cp /var/install/deinstall/certs /var/install/deinstall/certs.tmp
    grep -v "/usr/bin/openssl" /var/install/deinstall/certs.tmp > /var/install/deinstall/certs
    rm -f /var/install/deinstall/certs.tmp
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
